Bug 118482 - Doesn't work mouse scrolling in list of conditions in dialogue Conditional formatting for...
Summary: Doesn't work mouse scrolling in list of conditions in dialogue Conditional fo...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.3
Keywords: implementationError
Depends on:
Blocks: Conditional-Formatting-Editing
  Show dependency treegraph
 
Reported: 2018-07-01 09:35 UTC by Roman Kuznetsov
Modified: 2021-03-30 09:35 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-07-01 09:35:19 UTC
Description:
Doesn't work mouse scrolling in list of conditions in dialogue Conditional formatting for...

Steps to Reproduce:
1. Create more than 10 condition for one range in dialogue Conditional formatting for
2. Move mouse cursor on list of condition
3. Try scroll list by mouse

Actual Results:
scrolling doesn't work

Expected Results:
scrolling works


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 m.a.riosv 2018-07-01 10:37:01 UTC
Repro
Version: 6.0.5.2 (x64)
Build ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: es-ES (es_ES); Calc: CL
Comment 2 Roman Kuznetsov 2018-07-01 11:49:52 UTC
checked in 3.6.7.2 -> same problem. IMHO it is implementation error
Comment 3 QA Administrators 2019-07-02 02:43:18 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2020-01-10 13:29:35 UTC
still repro in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: b6295e4a1b7735c148174f44f6d28221f4f52302
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 Roman Kuznetsov 2020-08-03 17:12:59 UTC
still repro in

Version: 7.1.0.0.alpha0+
Build ID: <buildversion>
CPU threads: 4; OS: Mac OS X 10.15.5; UI render: default; VCL: osx
Locale: ru-RU (ru_RU.UTF-8); UI: en-US
Calc: threaded
Comment 6 Roman Kuznetsov 2021-03-17 19:02:44 UTC
It was fixed by Caolan McNamara with https://git.libreoffice.org/core/commit/86303d2372b30bf02e28ea2b223f0e0aa7a161a3

But, unfortunately scrolling is slow in Condition Formatting window now

Caolan, possibly you can do scrolling in that window faster?
Comment 7 Caolán McNamara 2021-03-18 14:24:01 UTC
I can change the step size to be equal to the height of a (collapsed) entry which is probably what would make this "feel" right: https://gerrit.libreoffice.org/c/core/+/112677
Comment 8 Commit Notification 2021-03-19 12:00:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/426a38ea955742c471c22b4c20f0149ec423f653

tdf#118482 set a scroll step of the height of a collapsed entry

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Roman Kuznetsov 2021-03-20 14:52:12 UTC
Excellent! Thanks so much, Caolan!

Verified in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 43f4769ae537310a6fe6a1edfbc6687cc26fd996
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded
Comment 10 Commit Notification 2021-03-30 09:35:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/f2cae3f0febc6f1909e14a4fd5060977fd096f00

tdf#118482 set a scroll step of the height of a collapsed entry

It will be available in 7.1.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.